API reference
Media API reference descriptions are provided in English to preserve the exact published contract.
List media objects and scan/retention state Upload or fetch media Create a template-header resumable upload Fetch media metadata Delete media List media objects and scan/retention state GET /v1/accounts/{AC}/media
getV1AccountsByAcMediaPaginated 200
Required scope: `media:read`.
Parameters
Parameters Name Type Required Description limitquery · integer (1–100) cursorquery · string (max 2048 chars) ACpath · string (AC… SID) yes
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors .
Upload or fetch media POST /v1/accounts/{AC}/media
postV1AccountsByAcMediaIdempotency-Key required 202
Upload a file (multipart) or have Ship Messages fetch one from a URL. Use the returned media SID in a message. Files are scanned before they can be sent.
Required scope: `media:write`.
Parameters
Parameters Name Type Required Description ACpath · string (AC… SID) yes
Request body (4 fields) Request body Name Type Required Description declaredMimestring (max 255 chars) filenamestring type"AUTO" | "IMAGE" | "AUDIO" | "VIDEO" | "DOCUMENT" | "STICKER" urlstring (max 4096 chars) yes
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors .
Create a template-header resumable upload POST /v1/accounts/{AC}/media/uploads
postV1AccountsByAcMediaUploadsIdempotency-Key required 201
Required scope: `media:write`.
Parameters
Parameters Name Type Required Description ACpath · string (AC… SID) yes
Request body (1 fields) Request body Name Type Required Description mediaSidstring (ME… SID) yes
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors .
Fetch media metadata GET /v1/accounts/{AC}/media/{ME}
getV1AccountsByAcMediaByMe200
Fetch a media object's type, size, scan result and expiry.
Required scope: `media:read`.
Parameters
Parameters Name Type Required Description ACpath · string (AC… SID) yes MEpath · string (ME… SID) yes
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors .
Delete media DELETE /v1/accounts/{AC}/media/{ME}
deleteV1AccountsByAcMediaByMe204
Required scope: `media:write`.
Parameters
Parameters Name Type Required Description ACpath · string (AC… SID) yes MEpath · string (ME… SID) yes
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors .